#SingleInstance force
#CommentFlag //

CoordMode Mouse, Client

SetKeyDelay 1
SetMouseDelay 10

#IfWinActive Might and Magic
	{
		^Numpad0::
			{
				// Might & Magic VI party creation script, made by Mr. Fox
				
				// Portr - changes portrait		(player, direction, amount)
				// Class - changes class		(player, class)
				// Names - changes name			(player, name)
				// Stats - changes statistics	(player, statistic, operator, amount)
				// Skill - changes skills		(player, skill)
				// Press - presses buttons		(button, mode)
				
				// Classes - 1 knight, 2 paladin, 3 cleric, 4 archer, 5 sorcerer, 6 druid
				// Stats   - 1 might, 2 intellect, 3 personality, 4 endurance, 5 accuracy, 6 speed, 7 luck
				// Skills  - 1 - 9, left to right, top to bottom
				
				// Order of functions can be changed, functions you don't need can be omitted
				
				// To customize the party edit the values in brackets below
				
				Portr(3, "r", 4)

				Class(2, 2)
				Class(3, 2)
				Class(4, 1)

				Names(1, "Anerag")

				Names(2, "...............")
        Names(2, "......")
        Names(2, ".....")
        Names(2, "....")
        Names(2, "...{U+006E}")

				Names(3, "............{U+0002}{U+0058}{U+0002}") // change 58 to 59 for bad ending
        Names(3, "...........")
        Names(3, "..........")
        Names(3, ".........{Alt down}{Numpad1}{Numpad3}{Numpad0}{Alt up}")
        Names(3, "........")
        Names(3, ".......")
        Names(3, "......")
        Names(3, ".....")
        Names(3, "....")
        Names(3, "...{U+0073}")

        Names(4, ".......{U+000E}{U+00DE}{U+00FD}{U+00FF}")
        Names(4, "......")
        Names(4, ".....")
        Names(4, "....")
        Names(4, "...{U+0059}")

				Stats(1, 2, "+", 18)
        Stats(1, 6, "+", 16)
        Stats(1, 7, "+", 18)

        Skill(1, 5)
        Skill(1, 8)

        Skill(2, 5)
        Skill(2, 8)

        Skill(3, 5)
        Skill(3, 8)

        Skill(4, 5)
        Skill(4, 8)

				Press("ok", "move")
				
				// Do not change anything below this line unless you know what you're doing
			}
		Return
		
		Portr(player, direction, amount)
			{
				Switch player
					{
						Case "1": X1 := 110, X2 := 125
						Case "2": X1 := 269, X2 := 284
						Case "3": X1 := 427, X2 := 442
						Case "4": X1 := 586, X2 := 601
					}
					
				Switch direction
					{
						Case "l": MouseClick L, X1, 37, %amount%, 0
						Case "r": MouseClick L, X2, 37, %amount%, 0
					}
					
				Return
			}
			
		Class(player, class)
			{	
				Switch player
					{
						Case "1": SendInput {NumPad1}
						Case "2": SendInput {NumPad2}
						Case "3": SendInput {NumPad3}
						Case "4": SendInput {NumPad4}
					}
					
				Switch class
					{
						Case "1": MouseClick L, 94,  426, 1, 0 	
						Case "2": MouseClick L, 174, 426, 1, 0
						Case "3": MouseClick L, 94,  442, 1, 0
						Case "4": MouseClick L, 174, 442, 1, 0
						Case "5": MouseClick L, 94,  458, 1, 0
						Case "6": MouseClick L, 174, 458, 1, 0
					}
					
				Return
			}
			
		Names(player, name)
			{
				Switch player
					{
						Case "1": SendInput {NumPad1}
						Case "2": SendInput {NumPad2}
						Case "3": SendInput {NumPad3}
						Case "4": SendInput {NumPad4}
					}
					
				Switch player
					{
						Case "1": X := 20
						Case "2": X := 180
						Case "3": X := 340
						Case "4": X := 500
					}
				
				MouseClick L, X, 130, 1, 0
				Send %name%
				SendInput {Enter}
				
				Return
			}

		Stats(player, statistic, operator, amount)
			{
				Switch player
					{
						Case "1": X := 32
						Case "2": X := 190
						Case "3": X := 348
						Case "4": X := 506
					}
					
				Switch statistic
					{
						Case "1": Y := 169
						Case "2": Y := 185
						Case "3": Y := 201
						Case "4": Y := 217
						Case "5": Y := 233
						Case "6": Y := 249
						Case "7": Y := 265
					}
					
				MouseClick L, X, Y, 1, 0
				
				Switch operator
					{
						Case "+": SendInput {NumpadAdd %amount%}
						Case "-": SendInput {NumpadSub %amount%}
					}
					
				Return
			}
			
		Skill(player, skill)
			{
				Switch player
					{
						Case "1": SendInput {NumPad1}
						Case "2": SendInput {NumPad2}
						Case "3": SendInput {NumPad3}
						Case "4": SendInput {NumPad4}
					}
					
				Switch skill
					{
						Case "1": MouseClick L, 270, 426, 1, 0
						Case "2": MouseClick L, 350, 426, 1, 0
						Case "3": MouseClick L, 430, 426, 1, 0
						Case "4": MouseClick L, 270, 442, 1, 0
						Case "5": MouseClick L, 350, 442, 1, 0
						Case "6": MouseClick L, 430, 442, 1, 0
						Case "7": MouseClick L, 270, 458, 1, 0
						Case "8": MouseClick L, 350, 458, 1, 0
						Case "9": MouseClick L, 430, 458, 1, 0
					}
					
				Return
			}
			
		Press(button, mode)
			{
				Switch button
					{
						Case "ok":    X := 540, Y := 450
					}
				
				Switch mode
					{
						Case "click": MouseClick L, X, Y, 1, 0
						Case "move":  MouseMove  X, Y
					}
				
				Return
			}
	}
